Package com.xebialabs.xlrelease.api.v1.forms

## Enum RiskStatus

- java.lang.Object
- - java.lang.Enum<RiskStatus>
  - - com.xebialabs.xlrelease.api.v1.forms.RiskStatus

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<RiskStatus>`

      public enum RiskStatus
      extends java.lang.Enum<RiskStatus>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `AT_RISK` |
    `ATTENTION_NEEDED` |
    `OK` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static RiskStatus` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static RiskStatus[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OK

          public static final RiskStatus OK

    - #### AT_RISK

          public static final RiskStatus AT_RISK

    - #### ATTENTION_NEEDED

          public static final RiskStatus ATTENTION_NEEDED

  - ### Method Detail

    - #### values

          public static RiskStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RiskStatus c : RiskStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RiskStatus valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null